/*Criado por: Alex Crispim*/

$(function ($) {

    /*Função para inserir a persistência da Váriavel DOWNLOAD*/
    $(".downloadArquivo").on("click", function () {
        $(this).attr("target", "_blank");
        var arquivo = $(this).attr("href");
        var nomeArquivo = arquivo.substring(arquivo.lastIndexOf("/") + 1);
        var extensao = arquivo.substring(arquivo.lastIndexOf(".") + 1);
        switch (extensao) {
            case "pdf":
                tipo = "text";
                break;
            default:
                tipo = "Não determinado pela Função"
        }
        downloadControl(tipo, nomeArquivo);
    });

    /*Função para inserir a persistência da Váriavel EXTERNAL_LINK*/
    $(".linkExterno").on("click", function(){
      $(this).attr("target","_blank");
      var url = $(this).attr("href");
      externalLinkControl(url);
    });
    
    /*Criação do Accordion Lateral da Página*/
    $('.ui.accordion').accordion();

    /*Slider que contém as ilustrações*/
    var posSlide = $(".slider").bxSlider({
        infiniteLoop: false,
        hideControlOnEnd: true,
        slideWidth: 870,
        preloadImages: "all",
        pager: false
    });

    /*Ampliar os balões de conversação*/
    ampliarBaloes();

    /*Ancoragem de textos em relação as imagens
     no html usar a classe no texto com o mesmo nome do id do slide*/

    //Tratamento para caso o primeiro slide tenha ancoragem    
    var primeiroSlide = $(".slider li:eq(0)").attr("id");
    if (primeiroSlide && $(".accordion .transition").find("*").hasClass(primeiroSlide)) {
        //Marca e desmarca o texto de acordo com o slide
        $(".accordion .transition").find("*").removeClass("textoFig");
        $(".accordion .transition").find("." + primeiroSlide).addClass("textoFig");
        //Pega a posição em que o texto está no scroll
        var alvo = $(".accordion .transition ." + primeiroSlide).position().top;
        //Usado para movimentar o scroll na posição do alvo
        if ($(".accordion .transition").find("*").hasClass(primeiroSlide) != undefined) {
            $(".accordion .content").animate({scrollTop: alvo}, 0);
        }
    }
    //Navegação da ancoragem
    $(".bx-next,.bx-prev").on("click", function () {
        //Mostra qual slide é o atual
        var slideAtual = posSlide.getCurrentSlide();
        //Remove a adiciona um atributo para identificação
        $(".slider li").removeAttr("imagem", "ativa");
        $(".slider li").eq(slideAtual).attr("imagem", "ativa");
        //Pega o atributo ID do slide atual
        var posicao = $(".slider li[imagem=ativa]").attr("id");
        if ($(".slider li").eq(slideAtual).has("imagem", "ativa") && $(".accordion .transition").find("*").hasClass(posicao)) {
            //Marca e desmarca o texto de acordo com o slide
            $(".accordion .transition").find("*").removeClass("textoFig");
            $(".accordion .transition").find("." + posicao).addClass("textoFig");
            //Pega a posição em que o texto está no scroll
            var alvo = $(".accordion .transition ." + posicao).position().top;
            //Usado para movimentar o scroll na posição do alvo
            if ($(".accordion .transition").find("*").hasClass(posicao) != undefined) {
                $(".accordion .content").animate({scrollTop: alvo}, 500);
            }
        } else {
            $(".accordion .transition").find("*").removeClass("textoFig");
        }
    });

    /*Botões de navegação das atividades*/
    $(".botoes button").on("click", function () {
        var link = $(this).attr("link");
        window.location.href = link;
    });


    /*Modal*/
    $(".modal").on("click", function () {
        var linkModal = $(this).attr("modal");
        $("." + linkModal).modal("show");
    });
    $("div.close").on("click", function () {
        $(this).parents(".modal").modal("hide", true);
    });

    /*Responsividade ao modificar a janela ou ao entrar na página*/
    //Modifica as fontes nas ilustrações
    fonteCarousel();
    //Muda a estrutura para posicionar o topo
    responsivo();
    $(window).resize(function () {
        fonteCarousel();
        responsivo();
    });

    /*Demostração da Biblioteca Complementar*/
    $(".biblioteca, .fechar").on("click", function () {
        $(".arquivosComplementares").slideToggle("slow");
    });
});

/*Funções*/
/*Função para tornar as fontes das ilustrações dinâmicas de acordo com o tamanho
 da imagem responsiva*/
function fonteCarousel() {
    var tamanhoCarousel = $(".bx-wrapper").width();
    calcText = tamanhoCarousel * 0.0052 /*Valor referente ao font-size do body dividido pela maior resolução 13 / 1920 */;
    $('.bx-viewport').css('font-size', calcText);
    /*Página01*/
    $("#txtFig1Part1").html('Eu, como gestor de saúde do meu município tenho que assinar constantemente várias notas de empenho, e muitas vezes eu tenho dúvidas se devo ou não assinar algumas delas.<br/> Sempre me pergunto: aquela despesa está tratando de ações e serviços de saúde amparados pela legislação vigente? Eu posso assiná-las com tranquilidade?');
    $("#txtFig1Part2").html('O princípio norteador da Lei Complementar nº 141 é deixar isso claro para nós gestores da saúde. Por isso eu costumo chamá-la de Lei “guarda-costas".');
    /*Página02*/
    $("#txtFig2Part1").html('Chico, me disseram que você está estudando as Leis da saúde e tá ficando bom nisso!!!<br/> Eu sempre esqueço os nomes corretos dos princípios do SUS, quais são mesmo, hein?');
    $("#txtFig2Part2").html('Os princípios do SUS são determinados pela Lei nº 8.080/90 e quem sabe você não se interessa em ler essa Lei também?<br/> Os princípios são:<br/><br/>Equidade;<br/>Integralidade;<br/>Descentralização;<br/>Regionalização;<br/>Hierarquização;<br/>Participação Social.');
    $("#txtFig2Part3").html('O senhor lembra do Seu Agenor? Aquele fazendeiro, dono do Hotel Nossa Senhora da Penha? Pois ele pediu para a secretaria um medicamento básico que é fornecido pela farmácia do SUS, o senhor acredita nisso?<br/> Na minha opinião não devíamos fornecer o medicamento, afinal o SUS é para servir aos mais necessitados.');
    $("#txtFig2Part4").html('Lembro sim! Mas deve ser concedido o medicamento a ele, independente da condição social desse usuário. Lembre-se que o SUS é universal e igualitário!!!! Mas é importante que a porta de acesso seja observada!');
    /*Página03*/
    $("#txtFig3Part1").html('Concordo que essa Lei é nossa guardiã! Só para dar um exemplo, no inciso III do Artigo 1º da Lei Complementar nº 141, os gestores verificam a obrigatoriedade de contribuir com, <b>NO MINIMO 15%!</b> E muitos municípios brasileiros vão além desse mínimo e hoje já estão investindo, em média, 24,85%.');
    $("#txtFig3Part2").html('Olá, Jandira, ouvi sua conversa com o secretário hoje pela manhã e percebi que você entende muito da Lei Complementar nº 141! Como sabe, sou recém-contratado aqui e ainda tenho muitas dúvidas sobre essa Lei, especialmente sobre o Fundo de Saúde. Pode me explicar isso melhor?');
    $("#txtFig3Part3").html('Há algumas coisas fundamentais sobre despesas em saúde que você precisa conhecer bem. A primeira está no art. 2º da Lei Complementar nº 141 que determina <b>quais despesas são consideradas como ações e serviços públicos de saúde</b>. Dê uma lida nelas aqui.');
    $("#txtFig3Part4").html('I - sejam destinadas às ações e serviços públicos de saúde de acesso universal, igualitário e gratuito;<br/>II - estejam em conformidade com objetivos e metas explicitados nos Planos de Saúde de cada ente da Federação; e<br/>III - sejam de responsabilidade específica do setor da saúde, não se aplicando a despesas relacionadas a outras políticas públicas que atuam sobre determinantes sociais e econômicos, ainda que incidentes sobre as condições de saúde da população.<br/>Parágrafo único. Além de atender aos critérios estabelecidos no caput, as despesas com ações e serviços públicos de saúde realizadas pela União, pelos Estados, pelo Distrito Federal e pelos Municípios deverão ser financiadas com recursos movimentados por meio dos respectivos fundos de saúde.');
    $("#txtFig3Part5").html('Entendi!<br/> Mas também tenho dúvidas sobre o Fundo de Saúde, são muitos detalhes e às vezes fico confuso.');
    $("#txtFig3Part6").html('Há algumas coisas fundamentais sobre o FUNDO que você deve saber: o FUNDO deve ser corretamente estabelecido, com CNPJ próprio, de caráter meramente contábil, utilizado para acompanhamento e rastreamento do recurso!  Isso é para cumprir o que determina a lei: todas as despesas com ações e serviços públicos de saúde realizadas pela União, pelos Estados, pelo Distrito Federal e pelos Municípios deverão ser financiadas com recursos movimentados por meio dos respectivos fundos de saúde; o FUNDO não contrata, não processa e não compra nada! ELE SÓ PAGA!!!!');
    /*Página04*/
    $("#txtFig4Part1").html('Recebemos uma requisição da associação de bairro de Água Preta para realizar uma obra de escoramento de uma encosta que pode desabar e causar graves acidentes, o que vamos responder?');
    $("#txtFig4Part1a").html('Secretário, segundo a 141 a secretaria não pode realizar essa ação, pois ainda que incidente sobre a saúde da população - pois pode causar grandes danos - essa obra não é de responsabilidade da saúde, deve ser direcionada à Secretaria de Meio Ambiente, ou outra, conforme a legislação municipal determina.');
    $("#txtFig4Part2").html('Do ponto de vista legal posso providenciar a contratação da produção e distribuição de panfletos educativos sobre as medidas de prevenção da Influenza?');
    $("#txtFig4Part2a").html('Sim, pode. <br/> Essas despesas são consideradas gastos em saúde, pois se tratam de ações educativas de vigilância em saúde.');
    $("#txtFig4Part3").html('Secretário, estamos precisando comprar leite especial para as crianças com desnutrição, será que dá para a secretaria providenciar isso?');
    $("#txtFig4Part3a").html('Marina, aqui no nosso protocolo de saúde do município diz que é possível a compra, mas vamos precisar do relatório médico justificando a necessidade do leite para recuperação da deficiência nutricional. Dessa forma eu poderei autorizar a compra.');
    $("#txtFig4Part4").html('Samuel, vim pegar o carro para ir a São José do Matão buscar as vacinas que estão faltando. Tá aqui o documento do secretário, ele disse que mesmo sendo em outro munício isso é gasto em saúde, e autorizou a viagem.');
    $("#txtFig4Part5").html('Nessa reunião do Conselho de Saúde trago uma pauta emergencial sobre os altos índices de doenças infecciosas e parasitárias de duas regiões do nosso Município: o Bairro da Matinha com muitos remanescentes quilombolas e a reserva indígena Tucumã.  É preciso realizar obras de saneamento básico dos domicílios e nós temos recursos próprios para isto.');
    $("#txtFig4Part5a").html('Secretário, a Lei Complementar nº 141 dá ao Conselho tranquilidade para aprovar esse gasto. Inclusive o fato de haver distrito sanitário indígena e de comunidades remanescentes de quilombos, a secretaria poderia fazer a obra com qualquer recurso, mesmo os de transferência de outros entes.');
    $("#txtFig4Part6").html('Secretário o senhor deve realizar o manejo ambiental para o controle do Aedes Aegypti. Propomos ao senhor que doe às comunidades ribeirinhas peixes larvófagos para se alimentarem das larvas dos mosquitos.');
    $("#txtFig4Part6a").html('Secretário, não há problema legal com essa solução, pois se trata de método de manejo ambiental para o combate às larvas do Aedes.');
    $("#txtFig4Part7").html('D. Jandira, sabe aquela casa alugada para hospedar as mães de crianças com Aids em tratamento no hospital? Ela tá precisando de umas reformas e a gente queria pedir pro secretário financiar isso.<br/> Será que ele vai financiar?');
    $("#txtFig4Part7a").html('É uma pena, mas a Lei não permite que ele financie isso. Esse tipo de despesa (investimento em reforma) só pode ser realizado nos estabelecimentos públicos de saúde (SUS), e são proibidas em imóveis alugados.');
    $("#txtFig4Part8").html('Dóris, eu soube que você está treinando os novos contratados da Vigilância para o controle da dengue! E você pode receber pagamento mesmo sendo funcionária da secretaria?');
    $("#txtFig4Part8a").html('Sim eu posso.<br/> Sou a responsável na Vigilância por estas capacitações. Estou no exercício das minhas funções, e capacitar é minha obrigação, incluída no meu salário. Tá na Lei 141 que é possível o pagamento do pessoal ativo da saúde, com os encargos sociais!!!');
    $("#txtFig4Part9").html('Seria possível à gente contratar recepcionistas e vigias para essa UBS?');
    $("#txtFig4Part9a").html('Sim, as despesas com a equipe administrativa, gestão e apoio, incluindo salários e encargos são gastos em saúde, segundo a Lei 141.<br/> E como em nosso município o Fundo Municipal de Saúde é unidade orçamentária e gestora, a remuneração dos gestores e das equipes das Secretarias Municipais de Saúde será alocada na Saúde, evitando assim que outras Secretarias o façam,  como acontece em vários municípios.');
    /*Página05*/
    $("#txtFig5Part1").html('Mas secretário, vale ressaltar que não são considerados gastos em saúde a aposentadoria e pensão, mesmo por que alguns municípios possuem regime de previdência próprio, ou os servidores são contribuintes do INSS.');
    $("#txtFig5Part2").html('Alô! É da Secretária de Obras? Posso falar com o secretário? Bom dia,  Maurício. Enviei um ofício pra você solicitando a devolução de uma atendente de saúde nossa concursada que está emprestada para sua secretaria, você recebeu? Tenho urgência nisso, ,pois se ela não estiver atuando no âmbito da saúde, de acordo com a Lei 141 não poderemos continuar lançando seu salário nas despesas com ações e serviços de saúde.');
    $("#txtFig5Part3").html('Esta é a resposta para a família do Sr. Antônio que solicitou uma ambulância para consulta em outro Estado, mas a consulta será paga pelo plano de saúde dos bombeiros.<br/> Como o senhor me instruiu, redigi a resposta negando a solicitação e informando que somente se o senhor Antônio estivesse em tratamento no próprio SUS, a secretaria de saúde poderia custear esta despesa.');
    $("#txtFig5Part4").html('Eu sei que a Associação dos Moradores de Pedra Branca tá pressionando pelo financiamento desta obra de saneamento! Mas o bairro já é atendido pela empresa KMW que cobra taxas por este serviço, então não é permitido lançar essa despesa como ações e serviços de saúde. Tá na lei!');
    $("#txtFig5Part5").html('Poxa, pessoal, nós estamos em final de mandato e vocês ainda pedem urgência para pagarmos como despesa de saúde a coleta de lixo do Natal!!!!!<br/> Mesmo não havendo mais contrato para realizar isso, nós não podemos pagar a ação, pois ela não é considerada como ação de saúde!!!');
    $("#txtFig5Part6").html('Olha aqui outra situação que nem precisava chegar até aqui pois já sabem a resposta. Essa solicitação do IBAMA pedindo ajuda financeira para controle ambiental! Eu sei que estamos em plena crise de infestação do Aedes Aegypti, mas a Lei 141 veda o pagamento desse tipo de despesa pela saúde!!!!');
    $("#txtFig5Part7").html('Neuza, eu também me preocupo com a situação dessa família carente. Mas infelizmente não podemos custear a compra de alimentos para as crianças que não apresentam deficiência nutricional ou qualquer doença, por isso essa ação não pode ser chamada de ação e serviço de saúde. Precisamos encaminhar a família para o serviço social do município.');
    $("#txtFig5Part8").html('Entendo que a secretaria de obras não providenciou a iluminação pública e o calçamento da rua, mas não podemos financiar isso, pois obras de infraestrutura não são consideradas gastos em saúde.');
    $("#txtFig5Part9").html('Prefeito Mauro, vamos pactuar pela PPI os serviços de consultas com valor superior ao definido na Tabela Nacional de Referência do SUS. Eu posso complementar com recursos próprios a diferença apurada no credenciamento de serviços. Faremos um termo de cooperação para que você nos repasse os recursos complementares via fundo a fundo – para pagamento dos serviços prestados efetivamente aos seus munícipes – numa relação gestor/gestor.<br/> Eu firmo o contrato com o Prestador. Tudo fundamentado na Lei Complementar nº 141!');
    $("#txtFig5Part10").html('Anselmo, respondendo a sua dúvida, eu acho que se os nossos   prefeitos decidirem custear essas despesas vedadas, por exemplo a que vc citou da alimentação da família carente, eles podem fazer isso, desde que não lancem a despesa como ação e serviço de saúde!!!!<br/> Eles podem utilizar, por exemplo, recursos do tesouro municipal em outras rubricas orçamentárias.');
    /*Página06*/
    $("#txtFig6Part1").html('Lúcia, nós precisamos agilizar a publicação, em nosso site e em outros meios de divulgação, da nossa prestação de contas.');
    $("#txtFig6Part2").html('Sim, Secretário, inclusive já estamos com um plano para mobilizar e incentivar a maior participação da população no blog da secretaria onde está publicado o plano de saúde. Nós sabemos como isso é importante e que é obrigação da secretaria prevista na Lei Complementar nº 141.');
    /*Página07*/
    $("#txtFig7").html('Vejam aqui o que encontrei: o Relatório de Gestão do município deve ser enviado ao Conselho de Saúde e este deve emitir parecer conclusivo sobre o cumprimento ou não das normas prescritas na Lei Complementar nº 141. Além disso, deve ser enviada também ao Conselho de Saúde, para aprovação, a programação anual do Plano de Saúde, e antes da data de envio da LDO.');
    /*Página08*/
    $("#txtFig8Part1").html('Nossa mãe! Você viu essa notícia no jornal? O Dr. Josué, secretário de saúde do nosso município, homem tão bom,  foi preso só porquê usou recursos da secretaria para mandar a mulher dele que está muito doente se tratar no exterior sem ter permissão pra isso. Gente ajudar a família é crime então?');
    $("#txtFig8Part2").html('É crime sim!!! Tem lei que trata dos crimes de responsabilidade praticados por gestores públicos que menciona condutas como essas, ou seja, se apropriar de bens ou rendas públicas, desviando-os do que se destinam para proveito próprio. Isso pode ser punido com pena de reclusão de até doze anos!!!!');
    /*Página09*/
    $("#txtFig9Part1").html('Neste ano meu município só aplicou 13% em ações e serviços de saúde. Ficaram faltando 2% do valor mínimo obrigatório. O que será que pode acontecer?');
    $("#txtFig9Part2").html('Nossa!!!! As transferências de recursos serão bloqueadas de acordo com o Decreto nº 7.827/2012. Você não sabia? Só serão reestabelecidas após a comprovação da aplicação dos 2% faltantes!!!!<br/>Cuidado com isso hein!!!');
};

/*Função para modificar o topo do semantic para mudar as logos de lugares*/
function responsivo() {
    var largura = $(document).width();
    if (largura <= 764 && !$(".topo .unasus div:eq(1)").hasClass("logoConasems")) {
        //Em telas menores atribui muda a logo do Conasems de posição e retira os espaços do semantic
        $(".topo .conasems").hide();
        $(".topo .unasus").append("<div class='logoConasems'></div>");
        $(".topo .unasus").attr("style", "padding-bottom: 0 !important");
        $(".topo .seven").attr("style", "padding-top: 0 !important");
        //Sobrescreve o padding dos buttons em telas menores
        $("#btVoltar button").attr("style", "padding-left: 3.2em !important; padding-right: 1em !important;");
        $("#btAvancar button").attr("style", "padding-right: 3.2em !important; padding-left: 1em !important;");
        //Em telas menores atribui a porcentagem para caber 3 botões e muda o botão avançar de posição
        $(".botoes div").attr("style", "width: 33% !important");
        var mudarDiv = $("#btDownloadTexto");
        $("#btAvancar").before(mudarDiv);
        /*Adapta os botões do Título Principal lado a lado em resoluções menores*/
        var tituloResolucaoMenor = $(".destaqueTitulos .tituloPrincipal");
        $(".destaqueTitulos .btNavegar").before(tituloResolucaoMenor);
        $(".destaqueTitulos .tituloPrincipal[1]").remove();
        $(".destaqueTitulos .btNavegar, .destaqueTitulos .btSobre").attr("style", "padding-top: 0 !important; padding-bottom: 0 !important; width: 50% !important;");
    }
    if (largura >= 765) {
        //Em telas maiores volta a logo do Conasems para a posição original
        $(".topo .unasus .logoConasems").remove();
        $(".topo .conasems").show();
        //Remove os atributos setados para telas menores quando se torna maior
        $(".botoes div, #btVoltar button, #btAvancar button").removeAttr("style");
        //Em telas maiores volta o botão avançar para a posição original
        var mudarDiv = $("#btDownloadTexto");
        $("#btAvancar").after(mudarDiv);
        /*Volta os botões do Título Principal a posição original em resoluções maiores*/
        $(".destaqueTitulos .btNavegar, .destaqueTitulos .btSobre").removeAttr("style");
        var tituloResolucaoMaior = $(".destaqueTitulos .tituloPrincipal");
        $(".destaqueTitulos .btNavegar").after(tituloResolucaoMaior);
    }
};

/*Função para Ampliar os balões de conversação*/
function ampliarBaloes() {
    $(".slider li div").on("click", function () {
        //Clona a div que contém o texto
        var balao = $(this).clone().html();
        //Cria dinâmicamente o código da modal na página
        var modal = $("<div class='ui modal baloes'>" +
                "<i class='close icon'></i>" +
                "<div class='content'>" + balao + "</div>" +
                "<div class='actions'>" +
                "<div class='ui button gray close'>Fechar</div>" +
                "</div>" +
                "</div>");
        //Acrescenta a modal dentro do elemento
        $(this).parent().append(modal);
        //Revela a modal criada
        $(this).parent().children(".ui.modal").modal("show");
        //Ao fechar a modal o elemento é removido pois se não a página geraria um novo a cada clique dando erro de perfomance
        $("div.close, .ui.modal.baloes .content, .ui.modal.baloes .actions").on("click", function () {
            $(this).parents(".modal").modal("hide", true);
            $(".ui.modal.baloes").remove();
        });
        $(".ui.dimmer.modals").on("click", function () {
            $(".ui.modal.baloes").remove();
        });
        $(".ui.modal.baloes").parent().css("background-color", "rgba(0,0,0,0)");
    });
};

/*Função para atualizar a váriavel STATUS e suas Propriedades*/
function atualizarStatus() {

    var status_change = false;

    var index = 0;
    var gastosSaudePag02 = 0;
    var gastosSaudePag03 = 0;
    var gastosSaudePag04 = 0;
    var gastosSaudePag05 = 0;
    var gastosSaudePag06 = 0;
    var gastosSaudePag07 = 0;
    var gastosSaudePag08 = 0;
    var gastosSaudePag09 = 0;

    var status = unasus.pack.getStatus();

    if (status === undefined) {
        status = createStatusDefault();
    }
    if (status === null) {
        return false;
    }

    var navigation = unasus.pack.getPersistence("NAVIGATION");

    var paginaAtual = navigation.current;

    if (status[paginaAtual] === false) {
        status[paginaAtual] = true;
        status_change = true;
    }

    if (status["index"] === true) {
        index = 12;
    }

    if (status["gastosSaudePag02"] === true) {
        gastosSaudePag02 = 11;
    }
    if (status["gastosSaudePag03"] === true) {
        gastosSaudePag03 = 11;
    }
    if (status["gastosSaudePag04"] === true) {
        gastosSaudePag04 = 11;
    }
    if (status["gastosSaudePag05"] === true) {
        gastosSaudePag05 = 11;
    }
    if (status["gastosSaudePag06"] === true) {
        gastosSaudePag06 = 11;
    }
    if (status["gastosSaudePag07"] === true) {
        gastosSaudePag07 = 11;
    }
    if (status["gastosSaudePag08"] === true) {
        gastosSaudePag08 = 11;
    }
    if (status["gastosSaudePag09"] === true) {
        gastosSaudePag09 = 11;
    }

    var newPorcentagemTotal = index + gastosSaudePag02 + gastosSaudePag03 + gastosSaudePag04 + gastosSaudePag05 + gastosSaudePag06 + gastosSaudePag07 + gastosSaudePag08 + gastosSaudePag09;
    var newLTI = newPorcentagemTotal / 100;

    if (newPorcentagemTotal > status.percentage) {
        status.percentage = newPorcentagemTotal;
        status_change = true;
    }

    if (newLTI > status.LTIvalue) {
        status.LTIvalue = newLTI;
        status_change = true;
    }

    if (status.percentage >= 100) {
        if (status.status !== "completed") {
            status_change = true;
            status.status = "completed";
        }
    }

    if (status.percentage < 100 && status.percentage > 0) {
        if (status.status !== "attempted") {
            status_change = true;
            status.status = "attempted";
        }
    }

    if (status.percentage <= 0) {
        if (status.status !== "attended") {
            status_change = true;
            status.status = "attended";
        }
    }

    if (status_change) {
        unasus.pack.setStatus(status);
    }
};